#pragma once

#include <CppUnitTest.h>
#include <vector>


using std::vector;

template<> static
std::wstring
Microsoft::VisualStudio::CppUnitTestFramework::ToString<vector<int>>(const vector<int>& t)
{
    std::wstring result;
    for (auto item : t)
        result += std::to_wstring(item) + L" ";

    return result;
}

template<> static
std::wstring
Microsoft::VisualStudio::CppUnitTestFramework::ToString<vector<unsigned>>(const vector<unsigned>& t)
{
	std::wstring result;
	for (auto  item: t)
		result += std::to_wstring(item) + L" " ;

	return result;
}

template<> static
std::wstring
Microsoft::VisualStudio::CppUnitTestFramework::ToString<vector<double>>(const vector<double>& t)
{
	std::wstring result;
	for (auto item : t)
		result += std::to_wstring(item) + L" ";

	return result;
}


